/*
 * multilineinput.h - simple dialog to get multiline text from user
 * Copyright (C) 2005  Maciej Niedzielski
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

#include <qdialog.h>

class MultiLineInputDialog : public QDialog
{   	
public:
	static QString getMultiLineText(const QString &caption, const QString &label, bool tabChangesFocus,
							const QString &text, bool *ok=0, QWidget *parent=0, const char *name=0);
protected:
	void keyPressEvent(QKeyEvent *);

private:
	class Mle;
	Mle *mle;
	MultiLineInputDialog(const QString &caption, const QString &label, bool tabChangesFocus,
					const QString &text, QWidget *parent=0, const char *name=0, bool modal=FALSE, WFlags f=0);
};
